Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 213747 - CustomerDBSpring sample cannot be deployed
CustomerDBSpring sample cannot be deployed
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: Samples
7.2
PC Windows 7
: P3 (vote)
: 7.2.1
Assigned To: Martin Janicek
issues@javaee
72patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 12:55 UTC by Jiri Skrivanek
Modified: 2012-09-05 11:20 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
GlassFish log. (31.54 KB, text/plain)
2012-06-07 12:55 UTC, Jiri Skrivanek
Details
Patch which fixes problem for me. (1.47 KB, patch)
2012-06-28 09:25 UTC, Jiri Skrivanek
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Skrivanek 2012-06-07 12:55:59 UTC
Created attachment 120495 [details]
GlassFish log.

It is not possible to deploy CustomerDBSpring sample application. To reproduce:

- register GlassFish 3.1.2 server
- open new project wizard
- select "Samples|Web Services|REST: Customer Database on Spring (Java EE 5)"
- finish wizard
- run project but deployment fails (see attachment for details)

Product Version: NetBeans IDE Dev (Build 201206070001)
Java: 1.7.0_04; Java HotSpot(TM) 64-Bit Server VM 23.0-b21
System: Windows 7 version 6.1 running on amd64; Cp1250; en_US (nb)
Comment 1 Martin Janicek 2012-06-08 08:27:07 UTC
Jirko, have you followed the notes[1] mentioned in @Error annotation message?
I've just tried to reproduce the problem but with no success.

[1] http://wiki.netbeans.org/SpringWithAopalliance
Comment 2 Jiri Skrivanek 2012-06-08 09:02:25 UTC
Yes, jar is on classpath. But from the log it seems that toplink JPA 1.0 classes are missing for some reason (see persistence unit in project). On the contrary project CustomerDB uses JPA 2.0 and it works.
Comment 3 Jiri Skrivanek 2012-06-28 09:24:09 UTC
Workaround is to change toplink to eclipse JPA provider in persistence.xml.
Comment 4 Jiri Skrivanek 2012-06-28 09:25:15 UTC
Created attachment 121484 [details]
Patch which fixes problem for me.
Comment 5 Sergey Petrov 2012-06-28 10:15:33 UTC
toplink was removed from nb distribution in 7.2, may be I miss some samples to update/ask owner to update.
Comment 6 Martin Janicek 2012-08-27 14:39:51 UTC
Sergey, if the toplink was removed from the 7.2, why is still possible to choose it in the persistence.xml file (design multi-view part) ?.. And which persistence provider should be used instead of toplink?
Comment 7 Martin Janicek 2012-08-30 12:23:29 UTC
Fixed in: web-main #08e2718cfc9d

Vlado, could you please verify this one as well? Thanks!
Comment 8 Vladimir Riha 2012-08-30 13:23:19 UTC
issue from bug description works, deployment finishes and a new tab is opened in browser => verified


Product Version: NetBeans IDE Dev (Build web-main-8358-on-20120830)
Java: 1.7.0_06; Java HotSpot(TM) Client VM 23.2-b09
System: Linux version 3.2.0-29-generic-pae running on i386; UTF-8; en_US (nb)
Comment 9 Martin Janicek 2012-08-30 15:18:25 UTC
Transplanted into the releases branch in:
- http://hg.netbeans.org/releases/rev/dac232c01121

Spec. version number increased and long description changed in:
- http://hg.netbeans.org/releases/rev/5f3bc57ef924
Comment 10 Quality Engineering 2012-08-31 02:00:59 UTC
Integrated into 'main-golden', will be available in build *201208310001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/08e2718cfc9d
User: Martin Janicek <mjanicek@netbeans.org>
Log: #213747 - CustomerDBSpring sample cannot be deployed
Comment 11 Quality Engineering 2012-09-01 11:06:02 UTC
Integrated into 'releases', will be available in build *201209010822* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/dac232c01121
User: Martin Janicek <mjanicek@netbeans.org>
Log: #213747 - CustomerDBSpring sample cannot be deployed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo